%define ricohfontdir	%{_datadir}/fonts/japanese/ricoh/

Summary: RICOH TrueType Japanese Font Package
Name: ricoh-fonts
Version: 3.0
Release: 1AX
License: commercial
Group: User Interface/X
BuildArch: noarch
Source0: %{name}-1.0.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: fontconfig
Prereq: /usr/sbin/chkfontpath /usr/X11R6/bin/mkfontdir /usr/bin/ttmkfdir
NoSource: 0

%description
This package provides RICOH TrueType fonts for Japanese.

%prep
%setup -q -n %{name}-1.0

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{ricohfontdir}
install -m 0644 HGJGBBMP.TTF $RPM_BUILD_ROOT%{ricohfontdir}/
install -m 0644 hgpgb.ttf $RPM_BUILD_ROOT%{ricohfontdir}/
install -m 0644 HGJMLBMP.TTF $RPM_BUILD_ROOT%{ricohfontdir}/
install -m 0644 hgpml.ttf $RPM_BUILD_ROOT%{ricohfontdir}/
install -m 0644 fonts.dir $RPM_BUILD_ROOT%{ricohfontdir}/
install -m 0644 fonts.scale $RPM_BUILD_ROOT%{ricohfontdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
{
	test -w %{ricohfontdir} && {
		/usr/sbin/chkfontpath -q -a %{ricohfontdir}
	}

	HOME=/root fc-cache 2>/dev/null
}

%postun
{
	if [ "$1" = "0" ];
	then
		/usr/sbin/chkfontpath -q -r %{ricohfontdir}
	fi
	HOME=/root fc-cache 2>/dev/null
}

%files
%defattr(-,root,root,-)
%dir %{ricohfontdir}
%{ricohfontdir}/*.TTF
%{ricohfontdir}/*.ttf
%config %{ricohfontdir}/fonts.dir
%config %{ricohfontdir}/fonts.scale

%changelog
* Thu May 10 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.0-1AX
- change font directory for AXS3

* Thu Apr 28 2005 Yasuma Takeda <yasuma@miraclelinux.com> 2.0-1AX
- rebuild for Asianux 2.0

* Tue May 25 2004  <yasuma@miraclelinux.com> 1.0-1AX
- Initial build for MIRACLE LINUX V3.0.


